{
    pkgs,
    configs ? pkgs.configs,
    ...
}:

{
    programs.neovim = {
        enable = true;
        defaultEditor = true;
        extraConfig =
            let
                config = configs.neovim;
            in
            ''
                set runtimepath+=${config}
                source ${config}/init.lua
            '';
    };

}
